Package uk.ac.starlink.topcat.func

## Class Mgc

- java.lang.Object
- - uk.ac.starlink.topcat.func.Mgc

-     public class Mgc
      extends java.lang.Object

  Specialist functions for use with data from the the Millennium Galaxy Survey.
  Since:
    15 Oct 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MGC_IMAGE_BASE` | String prepended to MGC_ID for the FITS image URL.
    `static java.lang.String` | `MGC_IMAGE_TAIL` | String appended to MGC_ID for the FITS image URL.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `imageMgc​(int mgc_id)` | Displays the postage stamp FITS image for an MGC object in an image viewer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MGC_IMAGE_BASE

          public static final java.lang.String MGC_IMAGE_BASE

      String prepended to MGC_ID for the FITS image URL.
      See Also:
        Constant Field Values

    - #### MGC_IMAGE_TAIL

          public static final java.lang.String MGC_IMAGE_TAIL

      String appended to MGC_ID for the FITS image URL.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### imageMgc

          public static java.lang.String imageMgc​(int mgc_id)

      Displays the postage stamp FITS image for an MGC object in an image viewer.
      Parameters:
        `mgc_id` - the MGC_ID number for the object
      Returns:
        short log string

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.